> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Methods

> It includes fetch methods for payment data.

This API retrieves the list of available payment methods for a merchant.

### Request Parameters

* `key` (string): Merchant API key
* `hash` (string): Calculated hash for request validation

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "methods": [
    {
      "id": "string",
      "name": "Credit Card",
      "type": "card"
    },
    {
      "id": "string",
      "name": "Net Banking",
      "type": "bank"
    }
  ]
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v2/info/payment/methods
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/info/payment/methods:
    post:
      summary: Method API
      description: It includes fetch methods for payment data.
      operationId: method-api
      parameters:
        - name: user-agent
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: string
                  description: in cents/paisa
                currency:
                  type: string
                  description: 3 char currency code
                callback:
                  type: string
                  description: callback url
                udf1:
                  type: string
                  description: user defined fields
                pg:
                  type: string
                  description: Payment Gateway
                pg_pool_id:
                  type: string
                  description: Payment Gateway pool id
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      {

                        "status": true,

                        "data": {

                            "netbanking": {

                                "priority": 0,

                                "data": [

                                    {

                                        "code": "INB1134",

                                        "title": "Development Credit Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "KOTAK",

                                        "title": "Kotak Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "BCCO",

                                        "title": "Bassien Catholic Coop Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                   
                                    {

                                        "code": "CANARA",

                                        "title": "Canara Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },


                                    {

                                        "code": "PNBCO",

                                        "title": "Punjab National Bank - Corporate Banking",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "DIGIDBS",

                                        "title": "Digibank by DBS",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },


                                    {

                                        "code": "FINCARER",

                                        "title": "Fincare Bank - Retail",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "HDFC",

                                        "title": "HDFC Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "IDFC",

                                        "title": "IDFC FIRST Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "PNBSB",

                                        "title": "Punjab and Sindh Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                   
                                    {

                                        "code": "RBLBKCO",

                                        "title": "RBL Bank Limited - Corporate Banking",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "SBI",

                                        "title": "State bank Of India",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },


                                    {

                                        "code": "AXIS",

                                        "title": "AXIS Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                    {

                                        "code": "YESBK",

                                        "title": "Yes Bank",

                                        "health": true,

                                        "favorite": true,

                                        "image": "https://cdn.paytring.com/cdn/bank/inb1134.svg"

                                    },

                                ]

                            },

                            "debitcard": {

                                "priority": 1,

                                "data": [

                                    {

                                        "code": "VI",

                                        "title": "Visa Credit Card"

                                    },

                                    {

                                        "code": "MC",

                                        "title": "Master Card Credit Card"

                                    },

                                    {

                                        "code": "RU",

                                        "title": "Rupay Credit Card"

                                    },

                                    {

                                        "code": "AX",

                                        "title": "Amex Credit Card"

                                    },

                                ]

                            },

                            "creditcard": {

                                "priority": 1,

                                "data": [

                                    {

                                        "code": "VI",

                                        "title": "Visa Credit Card"

                                    },

                                    {

                                        "code": "MC",

                                        "title": "Master Card Credit Card"

                                    },

                                    {

                                        "code": "RU",

                                        "title": "Rupay Credit Card"

                                    },

                                    {

                                        "code": "AX",

                                        "title": "Amex Credit Card"

                                    },

                                ]

                            },

                            "upi": {

                                "priority": 2,

                                "data": {

                                    "UPI": "UPI"

                                }

                            },

                            "intent": false,

                            "wallet": false,

                            "emi": false,

                            "scanAndPay": false,

                            "upiQr": true,

                            "convenience_fee": false

                        },

                        "request_id": x67xxxxxxxx19a"

                    }
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````